"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FileFormat = void 0;
var FileFormat;
(function (FileFormat) {
    FileFormat[FileFormat["Undefined"] = 0] = "Undefined";
    FileFormat[FileFormat["Custom"] = 1] = "Custom";
    FileFormat[FileFormat["Bmp"] = 2] = "Bmp";
    FileFormat[FileFormat["Gif"] = 4] = "Gif";
    FileFormat[FileFormat["Jpeg"] = 8] = "Jpeg";
    FileFormat[FileFormat["Png"] = 16] = "Png";
    FileFormat[FileFormat["Tiff"] = 32] = "Tiff";
    FileFormat[FileFormat["Psd"] = 64] = "Psd";
    FileFormat[FileFormat["Jpeg2000"] = 512] = "Jpeg2000";
    FileFormat[FileFormat["Djvu"] = 1024] = "Djvu";
    FileFormat[FileFormat["Webp"] = 2048] = "Webp";
    FileFormat[FileFormat["Emf"] = 4096] = "Emf";
    FileFormat[FileFormat["Dicom"] = 8192] = "Dicom";
    FileFormat[FileFormat["Svg"] = 16384] = "Svg";
    FileFormat[FileFormat["Wmf"] = 32768] = "Wmf";
    FileFormat[FileFormat["Dng"] = 65536] = "Dng";
    FileFormat[FileFormat["Pdf"] = 65537] = "Pdf";
    FileFormat[FileFormat["CadR9"] = 65538] = "CadR9";
    FileFormat[FileFormat["CadR010"] = 65539] = "CadR010";
    FileFormat[FileFormat["CadR011"] = 65540] = "CadR011";
    FileFormat[FileFormat["CadR012"] = 65541] = "CadR012";
    FileFormat[FileFormat["CadR013"] = 65542] = "CadR013";
    FileFormat[FileFormat["CadR014"] = 65543] = "CadR014";
    FileFormat[FileFormat["CadR015"] = 65544] = "CadR015";
    FileFormat[FileFormat["CadR021"] = 65545] = "CadR021";
    FileFormat[FileFormat["CadR0221"] = 65546] = "CadR0221";
    FileFormat[FileFormat["CadR0222"] = 65547] = "CadR0222";
    FileFormat[FileFormat["CadR025"] = 65548] = "CadR025";
    FileFormat[FileFormat["CadR026"] = 65549] = "CadR026";
    FileFormat[FileFormat["CadR2000"] = 65550] = "CadR2000";
    FileFormat[FileFormat["CadR2004"] = 65551] = "CadR2004";
    FileFormat[FileFormat["CadR2007"] = 65552] = "CadR2007";
    FileFormat[FileFormat["CadR2010"] = 65553] = "CadR2010";
    FileFormat[FileFormat["CadR2013"] = 65554] = "CadR2013";
    FileFormat[FileFormat["CadR2018"] = 65555] = "CadR2018";
    FileFormat[FileFormat["DgnV7"] = 65556] = "DgnV7";
    FileFormat[FileFormat["DgnV8"] = 65557] = "DgnV8";
    FileFormat[FileFormat["DgnV9"] = 65558] = "DgnV9";
    FileFormat[FileFormat["DXFCadR010"] = 65559] = "DXFCadR010";
    FileFormat[FileFormat["DXFCadR012"] = 65560] = "DXFCadR012";
    FileFormat[FileFormat["DXFCadR014"] = 65561] = "DXFCadR014";
    FileFormat[FileFormat["DXFCadR015"] = 65562] = "DXFCadR015";
    FileFormat[FileFormat["DXFCadR021"] = 65563] = "DXFCadR021";
    FileFormat[FileFormat["DXFCadR0221"] = 65564] = "DXFCadR0221";
    FileFormat[FileFormat["DXFCadR0222"] = 65565] = "DXFCadR0222";
    FileFormat[FileFormat["DXFCadR025"] = 65566] = "DXFCadR025";
    FileFormat[FileFormat["DXFCadR026"] = 65567] = "DXFCadR026";
    FileFormat[FileFormat["DXFCadR9"] = 65568] = "DXFCadR9";
    FileFormat[FileFormat["DXFCadR10"] = 65569] = "DXFCadR10";
    FileFormat[FileFormat["DXFCadR11"] = 65570] = "DXFCadR11";
    FileFormat[FileFormat["DXFCadR13"] = 65571] = "DXFCadR13";
    FileFormat[FileFormat["DXFCadR14"] = 65572] = "DXFCadR14";
    FileFormat[FileFormat["DXFCadR2000"] = 65573] = "DXFCadR2000";
    FileFormat[FileFormat["DXFCadR2004"] = 65574] = "DXFCadR2004";
    FileFormat[FileFormat["DXFCadR2007"] = 65575] = "DXFCadR2007";
    FileFormat[FileFormat["DXFCadR2010"] = 65576] = "DXFCadR2010";
    FileFormat[FileFormat["DXFCadR2013"] = 65577] = "DXFCadR2013";
    FileFormat[FileFormat["IFC2X3"] = 65578] = "IFC2X3";
    FileFormat[FileFormat["STL"] = 65579] = "STL";
    FileFormat[FileFormat["Dwf"] = 65580] = "Dwf";
    FileFormat[FileFormat["IGES"] = 65581] = "IGES";
    FileFormat[FileFormat["Plt"] = 65582] = "Plt";
    FileFormat[FileFormat["DwtCadR010"] = 65583] = "DwtCadR010";
    FileFormat[FileFormat["DwtCadR012"] = 65584] = "DwtCadR012";
    FileFormat[FileFormat["DwtCadR014"] = 65585] = "DwtCadR014";
    FileFormat[FileFormat["DwtCadR015"] = 65586] = "DwtCadR015";
    FileFormat[FileFormat["DwtCadR021"] = 65587] = "DwtCadR021";
    FileFormat[FileFormat["DwtCadR0221"] = 65588] = "DwtCadR0221";
    FileFormat[FileFormat["DwtCadR0222"] = 65589] = "DwtCadR0222";
    FileFormat[FileFormat["DwtCadR025"] = 65590] = "DwtCadR025";
    FileFormat[FileFormat["DwtCadR026"] = 65591] = "DwtCadR026";
    FileFormat[FileFormat["DwtCadR9"] = 65592] = "DwtCadR9";
    FileFormat[FileFormat["DwtCadR10"] = 65593] = "DwtCadR10";
    FileFormat[FileFormat["DwtCadR11"] = 65594] = "DwtCadR11";
    FileFormat[FileFormat["DwtCadR13"] = 65595] = "DwtCadR13";
    FileFormat[FileFormat["DwtCadR14"] = 65596] = "DwtCadR14";
    FileFormat[FileFormat["DwtCadR2000"] = 65597] = "DwtCadR2000";
    FileFormat[FileFormat["DwtCadR2004"] = 65598] = "DwtCadR2004";
    FileFormat[FileFormat["DwtCadR2007"] = 65599] = "DwtCadR2007";
    FileFormat[FileFormat["DwtCadR2010"] = 65600] = "DwtCadR2010";
    FileFormat[FileFormat["DwtCadR2013"] = 65601] = "DwtCadR2013";
    FileFormat[FileFormat["CF2"] = 65602] = "CF2";
    FileFormat[FileFormat["OBJ"] = 65603] = "OBJ";
    FileFormat[FileFormat["IFC4"] = 65604] = "IFC4";
    FileFormat[FileFormat["FBX"] = 65605] = "FBX";
    FileFormat[FileFormat["Dwfx"] = 65606] = "Dwfx";
    FileFormat[FileFormat["Collada"] = 65607] = "Collada";
    FileFormat[FileFormat["DXB"] = 65608] = "DXB";
    FileFormat[FileFormat["STP"] = 65609] = "STP";
    FileFormat[FileFormat["Odg"] = 131072] = "Odg";
    FileFormat[FileFormat["Eps"] = 262144] = "Eps";
    FileFormat[FileFormat["Cdr"] = 524288] = "Cdr";
    FileFormat[FileFormat["Cmx"] = 1048576] = "Cmx";
    FileFormat[FileFormat["Otg"] = 2097152] = "Otg";
    FileFormat[FileFormat["Html5Canvas"] = 4194304] = "Html5Canvas";
    FileFormat[FileFormat["Apng"] = 8388608] = "Apng";
    FileFormat[FileFormat["Tga"] = 16777216] = "Tga";
    FileFormat[FileFormat["Emz"] = 67108864] = "Emz";
    FileFormat[FileFormat["Wmz"] = 134217728] = "Wmz";
    FileFormat[FileFormat["Svgz"] = 268435456] = "Svgz";
    FileFormat[FileFormat["FOdg"] = 536870912] = "FOdg";
})(FileFormat = exports.FileFormat || (exports.FileFormat = {}));
//# sourceMappingURL=FileFormat.js.map