"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Jpeg2000Options = void 0;
const ImageOptionsBase_js_1 = require("./ImageOptionsBase.js");
const FileFormat_js_1 = require("../Enums/FileFormat.js");
const Jpeg2000Codec_js_1 = require("../Enums/Jpeg2000Codec.js");
class Jpeg2000Options extends ImageOptionsBase_js_1.ImageOptionsBase {
    constructor() {
        super();
        this.targetFormat = FileFormat_js_1.FileFormat.Jpeg2000;
        this.comments = null;
        this.codec = Jpeg2000Codec_js_1.Jpeg2000Codec.J2K;
    }
}
exports.Jpeg2000Options = Jpeg2000Options;
//# sourceMappingURL=Jpeg2000Options.js.map