"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.JpegOptions = void 0;
const ImageOptionsBase_js_1 = require("./ImageOptionsBase.js");
const FileFormat_js_1 = require("../Enums/FileFormat.js");
const JpegCompressionColorMode_js_1 = require("../Enums/JpegCompressionColorMode.js");
const JpegCompressionMode_js_1 = require("../Enums/JpegCompressionMode.js");
class JpegOptions extends ImageOptionsBase_js_1.ImageOptionsBase {
    constructor() {
        super();
        this.targetFormat = FileFormat_js_1.FileFormat.Jpeg;
        this.jfif = null;
        this.colorType = JpegCompressionColorMode_js_1.JpegCompressionColorMode.Grayscale;
        this.comment = null;
        this.compressionType = JpegCompressionMode_js_1.JpegCompressionMode.Baseline;
        this.exifData = null;
        this.quality = 75;
        this.scaledQuality = 50;
        this.rdOptSettings = null;
        this.rgbColorProfile = null;
        this.cmykColorProfile = null;
    }
}
exports.JpegOptions = JpegOptions;
//# sourceMappingURL=JpegOptions.js.map