"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PngOptions = void 0;
const ImageOptionsBase_js_1 = require("./ImageOptionsBase.js");
const PngFilterType_js_1 = require("../Enums/PngFilterType.js");
const FileFormat_js_1 = require("../Enums/FileFormat.js");
class PngOptions extends ImageOptionsBase_js_1.ImageOptionsBase {
    constructor() {
        super();
        this.targetFormat = FileFormat_js_1.FileFormat.Png;
        this.progressive = false;
        this.colorType = 2;
        this.compressionLevel = 6;
        this.filterType = PngFilterType_js_1.PngFilterType.None;
        this.bitDepth = 8;
    }
}
exports.PngOptions = PngOptions;
//# sourceMappingURL=PngOptions.js.map