"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PsdOptions = void 0;
const ImageOptionsBase_js_1 = require("./ImageOptionsBase.js");
const ColorModes_js_1 = require("../Enums/ColorModes.js");
const CompressionMethod_js_1 = require("../Enums/CompressionMethod.js");
const FileFormat_js_1 = require("../Enums/FileFormat.js");
class PsdOptions extends ImageOptionsBase_js_1.ImageOptionsBase {
    constructor() {
        super();
        this.targetFormat = FileFormat_js_1.FileFormat.Psd;
        this.version = 6;
        this.compressionMethod = CompressionMethod_js_1.CompressionMethod.Raw;
        this.colorMode = ColorModes_js_1.ColorModes.Rgb;
        this.channelBitsCount = 8;
        this.channelsCount = 4;
    }
}
exports.PsdOptions = PsdOptions;
//# sourceMappingURL=PsdOptions.js.map