import { ImageOptionsBase } from "./ImageOptionsBase.js";
import { FileFormat } from "../Enums/FileFormat.js";
import { DxfOutputVersion } from "../Enums/DxfOutputVersion.js";
import { DxfFileFormat } from "../Enums/DxfFileFormat.js";
export class DxfOptions extends ImageOptionsBase {
    constructor() {
        super();
        this.targetFormat = FileFormat.DXFCadR11;
        this.version = DxfOutputVersion.R12;
        this.bezierPointCount = 8;
        this.convertTextBeziers = false;
        this.textAsLines = true;
        this.dxfFileFormat = DxfFileFormat.Ascii;
    }
}
//# sourceMappingURL=DxfOptions.js.map