import { ImageOptionsBase } from "./ImageOptionsBase.js";
import { FileFormat } from "../Enums/FileFormat.js";
export class GifOptions extends ImageOptionsBase {
    constructor() {
        super();
        this.targetFormat = FileFormat.Gif;
        this.doPaletteCorrection = true;
        this.colorResolution = 0;
        this.hasTrailer = true;
        this.backgroundColorIndex = 0;
        this.interlaced = false;
        this.isPaletteSorted = false;
        this.pixelAspectRatio = 0;
    }
}
//# sourceMappingURL=GifOptions.js.map