import { ImageOptionsBase } from "./ImageOptionsBase.js";
import { FileFormat } from "../Enums/FileFormat.js";
import { Jpeg2000Codec } from "../Enums/Jpeg2000Codec.js";
export class Jpeg2000Options extends ImageOptionsBase {
    constructor() {
        super();
        this.targetFormat = FileFormat.Jpeg2000;
        this.comments = null;
        this.codec = Jpeg2000Codec.J2K;
    }
}
//# sourceMappingURL=Jpeg2000Options.js.map