var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
export { Color } from './Core/Color.js';
export { Image } from './Core/Image.js';
export { CancellationToken } from './Core/CancellationToken.js';
export { ColorPalette } from './Core/ColorPalette.js';
export { PdfDocumentInfo } from './Core/PdfDocumentInfo.js';
export { ResolutionSetting } from './Core/ResolutionSetting.js';
export { SafeHandle } from './Core/SafeHandle.js';
export { SvgResourceKeeperCallback } from './Core/SvgResourceKeeperCallback.js';
export { BmpOptions } from './Options/BmpOptions.js';
export { DwfOptions } from './Options/DwfOptions.js';
export { DxfOptions } from './Options/DxfOptions.js';
export { GifOptions } from './Options/GifOptions.js';
export { ImageOptionsBase } from './Options/ImageOptionsBase.js';
export { Jpeg2000Options } from './Options/Jpeg2000Options.js';
export { JpegOptions } from './Options/JpegOptions.js';
export { ObjOptions } from './Options/ObjOptions.js';
export { PdfOptions } from './Options/PdfOptions.js';
export { PngOptions } from './Options/PngOptions.js';
export { PsdOptions } from './Options/PsdOptions.js';
export { SvgOptions } from './Options/SvgOptions.js';
export { TiffOptions } from './Options/TiffOptions.js';
export { WmfOptions } from './Options/WmfOptions.js';
export { BitmapCompression } from './Enums/BitmapCompression.js';
export { ColorModes } from './Enums/ColorModes.js';
export { CompressionMethod } from './Enums/CompressionMethod.js';
export { DxfFileFormat } from './Enums/DxfFileFormat.js';
export { DxfOutputVersion } from './Enums/DxfOutputVersion.js';
export { FileFormat } from './Enums/FileFormat.js';
export { Jpeg2000Codec } from './Enums/Jpeg2000Codec.js';
export { JpegCompressionColorMode } from './Enums/JpegCompressionColorMode.js';
export { JpegCompressionMode } from './Enums/JpegCompressionMode.js';
export { PngColorType } from './Enums/PngColorType.js';
export { PngFilterType } from './Enums/PngFilterType.js';
export { RotateFlipType } from './Enums/RotateFlipType.js';
export { SvgColorMode } from './Enums/SvgColorMode.js';
await (globalThis.__AsposeCadInit = function (global) {
    return __awaiter(this, void 0, void 0, function* () {
        console.log("loading WASM (TS)...");
        yield global.dotnet.boot();
        console.log("loaded WASM (TS)");
    });
})(globalThis);
//# sourceMappingURL=index.js.map