"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BmpOptions = void 0;
const ImageOptionsBase_js_1 = require("./ImageOptionsBase.js");
const FileFormat_js_1 = require("../Enums/FileFormat.js");
class BmpOptions extends ImageOptionsBase_js_1.ImageOptionsBase {
    constructor() {
        super();
        this.targetFormat = FileFormat_js_1.FileFormat.Bmp;
        this.bitsPerPixel = 32;
        this.compression = 0;
        this.horizontalResolution = 96;
        this.verticalResolution = 96;
        this.resolutionSettings = {
            horizontalResolution: 96,
            verticalResolution: 96
        };
    }
}
exports.BmpOptions = BmpOptions;
//# sourceMappingURL=BmpOptions.js.map