"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DwfOptions = void 0;
const ImageOptionsBase_js_1 = require("./ImageOptionsBase.js");
const FileFormat_js_1 = require("../Enums/FileFormat.js");
class DwfOptions extends ImageOptionsBase_js_1.ImageOptionsBase {
    constructor() {
        super();
        this.targetFormat = FileFormat_js_1.FileFormat.Dwf;
        this.targetDwfInterface = 0;
        this.bezierPointCount = 8;
        this.mergeOptions = null;
    }
}
exports.DwfOptions = DwfOptions;
//# sourceMappingURL=DwfOptions.js.map