"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GifOptions = void 0;
const ImageOptionsBase_js_1 = require("./ImageOptionsBase.js");
const FileFormat_js_1 = require("../Enums/FileFormat.js");
class GifOptions extends ImageOptionsBase_js_1.ImageOptionsBase {
    constructor() {
        super();
        this.targetFormat = FileFormat_js_1.FileFormat.Gif;
        this.doPaletteCorrection = true;
        this.colorResolution = 0;
        this.hasTrailer = true;
        this.backgroundColorIndex = 0;
        this.interlaced = false;
        this.isPaletteSorted = false;
        this.pixelAspectRatio = 0;
    }
}
exports.GifOptions = GifOptions;
//# sourceMappingURL=GifOptions.js.map