"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ImageOptionsBase = void 0;
const Color_js_1 = require("../Core/Color.js");
class ImageOptionsBase {
    constructor() {
        this.layers = null;
        this.palette = null;
        this.pc3File = null;
        this.rotation = 0;
        this.source = null;
        this.timeout = -1;
        this.userWatermarkColor = new Color_js_1.Color();
        this.userWatermarkText = null;
        this.vectorRasterizationOptions = null;
        this.resolutionSettings = null;
        this.cancellationToken = undefined;
        this.xmpData = null;
    }
}
exports.ImageOptionsBase = ImageOptionsBase;
//# sourceMappingURL=ImageOptionsBase.js.map