import { ImageOptionsBase } from "./ImageOptionsBase.js";
import { FileFormat } from "../Enums/FileFormat.js";
import { JpegCompressionColorMode } from "../Enums/JpegCompressionColorMode.js";
import { JpegCompressionMode } from "../Enums/JpegCompressionMode.js";
export declare class JpegOptions extends ImageOptionsBase {
    constructor();
    targetFormat: FileFormat;
    jfif: any | null;
    comment: string | null;
    exifData: any | null;
    compressionType: JpegCompressionMode | null;
    colorType: JpegCompressionColorMode | null;
    quality: number;
    scaledQuality: number;
    rdOptSettings: any | null;
    rgbColorProfile: any | null;
    cmykColorProfile: any | null;
}
//# sourceMappingURL=JpegOptions.d.ts.map