"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ObjOptions = void 0;
const ImageOptionsBase_js_1 = require("./ImageOptionsBase.js");
const FileFormat_js_1 = require("../Enums/FileFormat.js");
class ObjOptions extends ImageOptionsBase_js_1.ImageOptionsBase {
    constructor() {
        super();
        this.targetFormat = FileFormat_js_1.FileFormat.OBJ;
        this.mtlFileName = "mtlFile.mtl";
        this.mtlFileStream = null;
    }
}
exports.ObjOptions = ObjOptions;
//# sourceMappingURL=ObjOptions.js.map