"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PdfOptions = void 0;
const ImageOptionsBase_js_1 = require("./ImageOptionsBase.js");
const FileFormat_js_1 = require("../Enums/FileFormat.js");
class PdfOptions extends ImageOptionsBase_js_1.ImageOptionsBase {
    constructor() {
        super();
        this.targetFormat = FileFormat_js_1.FileFormat.Pdf;
        this.pdfDocumentInfo = {
            author: '',
            keywords: '',
            subject: '',
            title: ''
        };
        this.corePdfOptions = null;
    }
}
exports.PdfOptions = PdfOptions;
//# sourceMappingURL=PdfOptions.js.map