import { ImageOptionsBase } from "./ImageOptionsBase.js";
import { SvgResourceKeeperCallback } from "../Core/SvgResourceKeeperCallback.js";
import { FileFormat } from "../Enums/FileFormat.js";
import { SvgColorMode } from "../Enums/SvgColorMode.js";
export declare class SvgOptions extends ImageOptionsBase {
    constructor();
    targetFormat: FileFormat;
    colorType: SvgColorMode | null;
    textAsShapes: boolean | null;
    callback: SvgResourceKeeperCallback | null;
    rescaleSubpixelLinewidths: boolean;
    useAbsoluteRescaling: boolean;
    minimumRelativeLinewidthRatio: number;
    minimumAbsoluteNonscaledLinewidth: number;
    minimumLinewidth: number;
}
//# sourceMappingURL=SvgOptions.d.ts.map