var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
export class Image {
    constructor() {
    }
    static getFileFormat(file) {
        return dotnet.invoke('Aspose.CAD.Wasm', 'GetFileFormat', file);
    }
    static load(file) {
        var imageFile = dotnet.invoke('Aspose.CAD.Wasm', 'Load', file);
        return imageFile;
    }
    static save(file, options) {
        return __awaiter(this, void 0, void 0, function* () {
            return yield dotnet.invokeAsync('Aspose.CAD.Wasm', 'Save', file, options);
        });
    }
}
//# sourceMappingURL=Image.js.map