import { ImageOptionsBase } from "./ImageOptionsBase.js";
import { FileFormat } from "../Enums/FileFormat.js";
export class BmpOptions extends ImageOptionsBase {
    constructor() {
        super();
        this.targetFormat = FileFormat.Bmp;
        this.bitsPerPixel = 32;
        this.compression = 0;
        this.horizontalResolution = 96;
        this.verticalResolution = 96;
        this.resolutionSettings = {
            horizontalResolution: 96,
            verticalResolution: 96
        };
    }
}
//# sourceMappingURL=BmpOptions.js.map