import { ImageOptionsBase } from "./ImageOptionsBase.js";
import { FileFormat } from "../Enums/FileFormat.js";
import { DxfOutputVersion } from "../Enums/DxfOutputVersion.js";
import { DxfFileFormat } from "../Enums/DxfFileFormat.js";
export declare class DxfOptions extends ImageOptionsBase {
    constructor();
    targetFormat: FileFormat;
    version: DxfOutputVersion;
    bezierPointCount: number;
    convertTextBeziers: boolean;
    textAsLines: boolean;
    dxfFileFormat: DxfFileFormat;
}
//# sourceMappingURL=DxfOptions.d.ts.map