import { Color } from "../Core/Color.js";
import { RotateFlipType } from "../Enums/RotateFlipType.js";
import { FileFormat } from "../Enums/FileFormat.js";
export declare class ImageOptionsBase {
    constructor();
    targetFormat: FileFormat | undefined;
    rotation: RotateFlipType | undefined;
    layers: string[] | undefined | null;
    xmpData: any | undefined | null;
    source: any | undefined | null;
    palette: any | undefined | null;
    resolutionSettings: any | undefined | null;
    vectorRasterizationOptions: any | undefined | null;
    timeout: number | undefined;
    pc3File: string | undefined | null;
    cancellationToken: any | undefined;
    userWatermarkText: string | undefined | null;
    userWatermarkColor: Color | undefined;
}
//# sourceMappingURL=ImageOptionsBase.d.ts.map