import { ImageOptionsBase } from "./ImageOptionsBase.js";
import { FileFormat } from "../Enums/FileFormat.js";
import { JpegCompressionColorMode } from "../Enums/JpegCompressionColorMode.js";
import { JpegCompressionMode } from "../Enums/JpegCompressionMode.js";
export class JpegOptions extends ImageOptionsBase {
    constructor() {
        super();
        this.targetFormat = FileFormat.Jpeg;
        this.jfif = null;
        this.colorType = JpegCompressionColorMode.Grayscale;
        this.comment = null;
        this.compressionType = JpegCompressionMode.Baseline;
        this.exifData = null;
        this.quality = 75;
        this.scaledQuality = 50;
        this.rdOptSettings = null;
        this.rgbColorProfile = null;
        this.cmykColorProfile = null;
    }
}
//# sourceMappingURL=JpegOptions.js.map