import { ImageOptionsBase } from "./ImageOptionsBase.js";
import { PngFilterType } from "../Enums/PngFilterType.js";
import { FileFormat } from "../Enums/FileFormat.js";
export class PngOptions extends ImageOptionsBase {
    constructor() {
        super();
        this.targetFormat = FileFormat.Png;
        this.progressive = false;
        this.colorType = 2;
        this.compressionLevel = 6;
        this.filterType = PngFilterType.None;
        this.bitDepth = 8;
    }
}
//# sourceMappingURL=PngOptions.js.map