import { ImageOptionsBase } from "./ImageOptionsBase.js";
import { ColorModes } from "../Enums/ColorModes.js";
import { CompressionMethod } from "../Enums/CompressionMethod.js";
import { FileFormat } from "../Enums/FileFormat.js";
export class PsdOptions extends ImageOptionsBase {
    constructor() {
        super();
        this.targetFormat = FileFormat.Psd;
        this.version = 6;
        this.compressionMethod = CompressionMethod.Raw;
        this.colorMode = ColorModes.Rgb;
        this.channelBitsCount = 8;
        this.channelsCount = 4;
    }
}
//# sourceMappingURL=PsdOptions.js.map