import { ImageOptionsBase } from "./ImageOptionsBase.js";
import { FileFormat } from "../Enums/FileFormat.js";
import { SvgColorMode } from "../Enums/SvgColorMode.js";
export class SvgOptions extends ImageOptionsBase {
    constructor() {
        super();
        this.targetFormat = FileFormat.Svg;
        this.colorType = SvgColorMode.YCbCr;
        this.textAsShapes = true;
        this.rescaleSubpixelLinewidths = true;
        this.useAbsoluteRescaling = false;
        this.minimumLinewidth = 0.25;
        this.minimumAbsoluteNonscaledLinewidth = 1;
        this.minimumRelativeLinewidthRatio = 2500;
        this.callback = null;
    }
}
//# sourceMappingURL=SvgOptions.js.map