var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { Image } from './Core/Image.js';
import { PngOptions } from './Options/PngOptions.js';
await (globalThis.__AsposeCadInit = function (global) {
    return __awaiter(this, void 0, void 0, function* () {
        var Aspose = {};
        Aspose.CAD = {};
        var wasm = global.dotnet.Aspose.CAD.Wasm;
        Aspose.CAD.PngOptions = PngOptions;
        Aspose.CAD.Image = Image;
        //Aspose.CAD.Image = wasm;
        console.log("loading WASM...");
        yield global.dotnet.boot();
        console.log("loaded WASM");
        global.Aspose = Aspose;
    });
})(globalThis);
//# sourceMappingURL=index-js.js.map